AUTOHEADER(1)

NAME
autoheader - Create a template header for configure

SYNOPSIS
autoheader [OPTION] ... [TEMPLATE-FILE]

DESCRIPTION
Create a template file of C `#define' statements for `configure' to use. To this end, scan TEMPLATE-FILE, or `configure.ac' if present, or else `configure.in'.

-h, --help
    print this help, then exit

-V, --version
    print version number, then exit

-v, --verbose
    verbosely report processing

-d, --debug
    don't remove temporary files

-f, --force
    consider all files obsolete

-W, --warnings=CATEGORY
    report the warnings falling in CATEGORY

  Warning categories include:

`cross'
    cross compilation issues

`gnu'
    GNU coding standards (default in gnu and gnits modes)

`obsolete'
    obsolete features or constructions

`override'
    user redefinitions of Automake rules or variables

`portability'
    portability issues

`syntax'
    dubious syntactic constructs (default)

`unsupported'
    unsupported or incomplete features (default)

`all'
    all the warnings

`no-CATEGORY'
    turn off warnings in CATEGORY

`none'
    turn off all the warnings

`error'
    treat warnings as errors

  Library directories:

-B, --prepend-include=DIR
    prepend directory DIR to search path

-I, --include=DIR
    append directory DIR to search path

AUTHOR
Written by Roland McGrath and Akim Demaille.

REPORTING BUGS
Report bugs to <bug-autoconf@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1).

The full documentation for autoheader is maintained as a Texinfo manual. If the info and autoheader programs are properly installed at your site, the command

    info autoheader

should give you access to the complete manual.